//*****************************************
// AT mega328P-PU(28pin 300mil SDIP) Four IN-18 Clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:nixie.h
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//*****************************************

#define	KETA_MAX	4				// ̋@̌
#define	PATH_MAX	4				// _Ci~bN\1̃JEgii̒l{PjTOOrP̎ԂɂȂj


extern	unsigned char	nixe_active;
extern	unsigned char	path_limit;
extern	unsigned char	change_path;

extern	void	init_nixe(void);
extern	void	proc_dynamic_nixie(void);
extern	void	dynamic_nixie_active(unsigned char on);
extern	void	disp_nixie_full(char *cp);
extern	void	disp_nixie_number(char *cp);
extern	void	disp_dynamic_nixie_number(unsigned char k, unsigned char n);
extern	void	disp_dynamic_colon(unsigned char d);

void	disp_static_nixie_number(unsigned char k, unsigned char n);
void	disp_static_colon(unsigned char d);
