//*****************************************
// AT mega328P-PU(28pin 300mil SDIP) Four IN-18 Clock Program
// CPU Clock:8MHz
//   iq[Yf[^@UWlgɂj
// File Name:set_rtc.c
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//*****************************************

#include	<avr/interrupt.h>
#include	<avr/io.h>

#include	"four_in18_clock.h"
#include	"timer.h"
#include	"port_bit.h"
#include	"rtc_ds3234.h"
#include	"display.h"
#include	"nixie.h"
#include	"set_rtc_4keta.h"
#include	"set_rtc.h"


//*****************************************
// v킹
// ߂l@OFɂqsbɃANZXł
// @@@@PFɂqsbɃANZXłȂ
// @OFԑ얳
//*****************************************
unsigned char	proc_set_rtc(void)
{
	unsigned char	r = 0;

	rtc_read();									// RTC ǂݏo

	gRTC_mon &= 0x1f;							// 
	gRTC_day &= 0x3f;							// 
	gRTC_hou &= 0x3f;							// 
	gRTC_min &= 0x7f;							// 
	gRTC_sec &= 0x7f;							// b

	r = proc_set_rtc_4keta();					// Sp v킹

	return(r);
}

//*****************************************
// ԊO̎v킹
// ߂l@OFɂqsbɃANZXł
// @@@@PFɂqsbɃANZXłȂ
// @OFԑ얳
//*****************************************
unsigned char	proc_set_rtc_infr(void)
{
	unsigned char	r = 0;

	rtc_read();									// RTC ǂݏo

	gRTC_mon &= 0x1f;							// 
	gRTC_day &= 0x3f;							// 
	gRTC_hou &= 0x3f;							// 
	gRTC_min &= 0x7f;							// 
	gRTC_sec &= 0x7f;							// b

	r = proc_set_rtc_infr_4keta();				// Sp ԊO̎v킹

	return(r);
}

